package detail

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/dictionary_admin/detail"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route post /api/admin/dictionary/detail/create dictionary_admin/detail CreateDictionaryDetailAdmin
//
// Create dictionary Detail | 创建字典项
//
// Create dictionary Detail | 创建字典项
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: DictionaryDetailInfo
//
// Responses:
//  200: BaseID

func CreateDictionaryDetailAdminHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.DictionaryDetailInfo
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := detail.NewCreateDictionaryDetailAdminLogic(r, r.Context(), svcCtx)
		resp, err := l.CreateDictionaryDetailAdmin(&req)

		statusz.ResponseHandler(r, w, transErr, resp, err)

	}
}
